X-Cart: shopping cart software

X-Cart forums (https://forum.x-cart.com/index.php)
-   Third Party Add-Ons for X-Cart 4 (https://forum.x-cart.com/forumdisplay.php?f=45)
-   -   4.1.9 breaks some Firetank mods (https://forum.x-cart.com/showthread.php?t=35686)

matt2005 11-19-2007 11:25 AM

Re: Feed Manager not working after server transfer
 
I upgraded to 4.1.9 and now feed manager doesn't work.. Is that the problem or is it my eAccelerator php cache?

groovico 11-25-2007 05:17 AM

Re: Feed Manager not working after server transfer
 
Hi Matt,

Could you please raise a ticket with us by emailing us directly though our contact us page on http://www.firetanksoftware.com please email us specific details and access so we can look into this properly for you.

carpeperdiem 11-25-2007 07:05 AM

Re: Feed Manager not working after server transfer
 
I just learned from Firetank that 4.1.9 will break Marketing Manager Pro, and Feed Manager, and any of their add-ons that have an admin page:

Quote:

If you have any mods from us that have an admin page (featured product manager, feed manager, glossary, product options copier, etc.) then those will all need to be updated.

The good/bad of this: if you are not in product warranty period, you will either have to buy a support plan --or-- buy any new product from Firetank and your support plan is extended as part of your purchase. I just discovered this for Marketing Manager Pro (everything seemed to work - except sending newsletters) - so I bought a mod that I had my eye on and just saved a bunch (vs. buying the mod AND a support plan).

Xcart really did a number on the user community with 4.1.9 -- it is a MUCH more significant upgrade than what appears on the surface... it may be a significantly better product, but it broke a bunch of stuff...

[ I moved these posts to their own thread ]

groovico 11-25-2007 11:25 AM

Re: 4.1.9 breaks some Firetank mods
 
Important note for everyone moving to x-cart 4.1.9
--------------------------------------------------------------------------
New security measures introduced by x-cart in x-cart 4.1.9 will affect many mods and add ons.

If you rely heavily on any other 3rd party products please ensure they are 4.1.9 compatible before you upgrade this goes for both front end and admin modifications.

All current www.firetanksoftware.com products are now x-cart 4.1.9 x compatible.

Duramax 6.6L 11-25-2007 11:36 AM

Re: 4.1.9 breaks some Firetank mods
 
This upgrade will break almost every add-on.

carpeperdiem 11-25-2007 11:41 AM

Re: 4.1.9 breaks some Firetank mods
 
Quote:

All current www.firetanksoftware.com products are now x-cart 4.1.9 x compatible.

Thank you, Groovico, for addressing this as quickly as you did...

I am very happy to report that Firetank support on this issue has been top-shelf.

The unfortunate part of X-Cart's latest upgrade was they changed a few critical things without notifying any developers before they released it. I URGE every single person reading this to send a nasty email to xcart management and tell them they can't do these things going forward...

In the case of Firetank's Marketing Manager Pro, the ONLY function that "broke" was sending the newsletter, so it was not apparant that this was broken at all... until it was time to send a newsletter -- and of course, most of us are on-deadline when sending test emails... hopefully approving after a revision or three, then sending overnight... this put my holiday newletter a day behind schedule -- but it could have been MUCH WORSE had Firetank support not been EXCEPTIONAL and prepared to give me the new file.

Thanks again for the fast fix.

carpeperdiem 11-25-2007 11:43 AM

Re: 4.1.9 breaks some Firetank mods
 
Quote:

Originally Posted by Duramax 6.6L
This upgrade will break almost every add-on.


Simply not true.

I have more than my share of mods... only a few are "broken".

Duramax 6.6L 11-25-2007 11:58 AM

Re: 4.1.9 breaks some Firetank mods
 
I have a total of 8 purchased mods that were installed in 4.1.8 and every one of them is broken waiting for a fix. The only two that I did not have a problem with are from Altered Cart. They work perfectly.

2coolbaby 12-14-2007 10:30 AM

Re: 4.1.9 breaks some Firetank mods
 
I have over $1000 in mods. No way am I doing this upgrade and then having to buy new mod upgrades too. I also have custom mods that would have to be customized to fix them. Although, it is my opinion that x-cart should tell people that this major upgrade could possibly break installed mods.

carpeperdiem 12-14-2007 10:51 AM

Re: 4.1.9 breaks some Firetank mods
 
Quote:

it is my opinion that x-cart should tell people that this major upgrade could possibly break installed mods.

4.1.9 re-invented how some tables are written...

2coolbaby 12-14-2007 11:05 AM

Re: 4.1.9 breaks some Firetank mods
 
Ummmm, why would they do that, knowing it would result in broken mods?


All times are GMT -8. The time now is 08:18 AM.

Powered by vBulletin Version 3.5.4
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.